Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class PartiallyRankedFeatureVector

    java.lang.Object
      cc.mallet.types.SparseVector
          cc.mallet.types.FeatureVector
              cc.mallet.types.RankedFeatureVector
                  cc.mallet.types.PartiallyRankedFeatureVector

All Implemented Interfaces:
  AlphabetCarrying, ConstantMatrix, Vector, java.io.Serializable

    public class PartiallyRankedFeatureVector

extends RankedFeatureVector

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `PartiallyRankedFeatureVector.Factory`
`static interface` | `PartiallyRankedFeatureVector.PerLabelFactory`

Field Summary

Fields inherited from class cc.mallet.types.SparseVector
`hasInfinite, indices, values`

Constructor Summary
`PartiallyRankedFeatureVector(Alphabet dict, AugmentableFeatureVector v)`
`PartiallyRankedFeatureVector(Alphabet dict, DenseVector v)`
`PartiallyRankedFeatureVector(Alphabet dict, double[] values)`
`PartiallyRankedFeatureVector(Alphabet dict, int[] indices, double[] values)`
`PartiallyRankedFeatureVector(Alphabet dict, SparseVector v)`

Method Summary
`int` | `numRanked()`
`protected void` | `setRankOrder(int extent, boolean reset)`

Methods inherited from class cc.mallet.types.RankedFeatureVector
`getIndexAtRank, getMaxValue, getMaxValuedIndex, getMaxValuedIndexIn, getMaxValuedObject, getMaxValuedObjectIn, getMaxValueIn, getObjectAtRank, getRank, getRank, getValueAtRank, printByRank, printByRank, printLowerK, printTopK, set, setRankOrder, setRankOrder, setReverseRankOrder`

Methods inherited from class cc.mallet.types.FeatureVector
`alphabetsMatch, cloneMatrix, cloneMatrixZeroed, contains, getAlphabet, getAlphabets, getObjectIndices, location, newFeatureVector, toSimpFile, toString, toString, value`

Methods inherited from class cc.mallet.types.SparseVector
`absNorm, addTo, addTo, arrayCopyFrom, arrayCopyFrom, arrayCopyInto, dotProduct, dotProduct, dotProduct, dotProduct, extendedDotProduct, extendedDotProduct, getDimensions, getIndices, getNumDimensions, getValues, incrementValue, indexAtLocation, infinityNorm, isBinary, isInfinite, isNaN, isNaNOrInfinite, location, makeBinary, makeNonBinary, map, numLocations, oneNorm, plusEqualsSparse, plusEqualsSparse, print, removeDuplicates, setAll, setValue, setValueAtLocation, singleIndex, singleSize, singleToIndices, singleValue, sortIndices, timesEquals, timesEqualsSparse, timesEqualsSparse, timesEqualsSparseZero, twoNorm, value, value, valueAtLocation, vectorAdd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PartiallyRankedFeatureVector

    public PartiallyRankedFeatureVector(Alphabet dict,
                                        int[] indices,
                                        double[] values)

### PartiallyRankedFeatureVector

    public PartiallyRankedFeatureVector(Alphabet dict,
                                        double[] values)

### PartiallyRankedFeatureVector

    public PartiallyRankedFeatureVector(Alphabet dict,
                                        DenseVector v)

### PartiallyRankedFeatureVector

    public PartiallyRankedFeatureVector(Alphabet dict,
                                        AugmentableFeatureVector v)

### PartiallyRankedFeatureVector

    public PartiallyRankedFeatureVector(Alphabet dict,
                                        SparseVector v)

Method Detail

### numRanked

    public int numRanked()

### setRankOrder

    protected void setRankOrder(int extent,
                                boolean reset)

  Overrides:
    `setRankOrder` in class `RankedFeatureVector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD